Subject: Re: lesstif 0.79
From: [email-masked] ("Stephen P. Green")

5 Aug 1997 20:47:45 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.01 [en] (WinNT; I)
Original-To: [email-masked]
Original-CC: Lists - Cygnus GNU Win32 <[email-masked]>
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Jeffery G. Smith wrote:

> I swear that someone had posted that lesstif had been ported under
> b18.
> I was unable to find a reference in the list archives or any info on
> the
> ported software link at Cygnus.
>
> If anyone knows about this, please send me whatever info you have.
> Everything went reasonably well once I got the X11R6.3 stuff and until
> I
> hit the yacc code.
>
> byacc accepts the .y file fine but then gcc barfs with
>
> gcc  -I. -I../../../include -I./../../../include/Motif-1.2
> -I./../../../lib/Mrm
>         -I/usr/local/gnuwin32/X11R6.3/include
>         -g -DLESSTIF_VERBOSE  -Wall -ansi -pedantic -c -o uilparse.o
> uilparse.c
> y.tab.c: In function `yymalloc':
> y.tab.c:534: warning: implicit declaration of function `malloc'
> y.tab.c: In function `yyrealloc':
> y.tab.c:543: warning: implicit declaration of function `realloc'
> y.tab.c: At top level:
> y.tab.c:553: syntax error before `yygrow'
> y.tab.c:559: syntax error before `if'
> yacc.y:35: warning: `False' defined but not used
> yacc.y:36: warning: `True' defined but not used
> y.tab.c:525: warning: `yyss' defined but not used
> y.tab.c:526: warning: `yyvs' defined but not used
> y.tab.c:527: warning: `yystacksize' defined but not used
> y.tab.c:533: warning: `yymalloc' defined but not used
> y.tab.c:542: warning: `yyrealloc' defined but not used
> gcc: Internal compiler error: program cc1 got fatal signal 33
> make: *** [uilparse.o] Error 1
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".

   I don't ever remember any ports of LessTif yet, but if anyone is
willing to try it I will gladly and actively support it.  I've been need
this done anyway for quite some time.  If anyone has already done this
or is working on it, please let me know.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".